=== trinity-plugins/fstrozzi-Fastool-7c3e034f05/Makefile ===
CC     = gcc
CFLAGS = -O2 -std=c99 -Werror

all:kseq.h fastool.c
	$(CC) $(CFLAGS) fastool.c -o fastool

clean:
	rm -f *.o fastool
