=== debian/changelog ===
trinityrnaseq (2.1.1+dfsg-2) unstable; urgency=medium

  * Split install of arch-dependent & arch-independent files, fixes FTBFS
    (Closes: #813958)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 07 Feb 2016 01:21:41 -0800

trinityrnaseq (2.1.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #777697)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 22 Oct 2015 08:31:56 -0700
