=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

JDIR=/usr/share/java
export CLASSPATH=${JDIR}/commons-collections4.jar:${JDIR}/gnu-getopt.jar:${JDIR}/jung-algorithms.jar:${JDIR}/jung-api.jar:${JDIR}/jung-graph-impl.jar:${JDIR}/jaligner.jar
export JAVA_HOME=/usr/lib/jvm/default-java
SOURCE_DIRECTORIES = Inchworm Chrysalis trinity-plugins/*Fastool* trinity-plugins/slclust trinity-plugins/scaffold_iworm_contigs
BASEDIR=debian/trinityrnaseq/usr/lib/trinityrnaseq
EXBASEDIR=debian/trinityrnaseq-examples/usr/share/trinityrnaseq

LAST_CHANGE := $(shell dpkg-parsechangelog -S Date)
export BUILD_DATETIME := $(shell LC_ALL=C date -u -d '$(LAST_CHANGE)')

%:
	dh $@ --parallel --with javahelper,autoreconf

override_dh_auto_configure:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_configure \
		--sourcedirectory=$${target} -- \
		--prefix=/usr/lib/trinityrnaseq/$${target}; done

override_dh_auto_build:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_build \
		-O--sourcedirectory=$${target}; done

override_dh_auto_clean:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_clean \
		--sourcedirectory=$${target}; done
	rm --force Chrysalis/Makefile_auto
	rm --force trinity-plugins/slclust/bin/slclust

override_dh_auto_test:
	java -cp Butterfly.jar TransAssembly_allProbPaths -N 100 -L 100 -F 300 \
		-C Butterfly/src/sample_data/RawComps.0/comp0 --stderr -V 18

override_dh_auto_install:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_install \
		-O--sourcedirectory=$${target}; done

override_dh_install-arch:
	dh_install -a
	find debian/trinityrnaseq -name '*.p?' | xargs sed -i \
		's=^#!/usr/local/bin/perl=#!/usr/bin/perl='
	chmod u+x \
		${BASEDIR}/Analysis/DifferentialExpression/pairwise_summaries/class_to_separate_fpkm_matrices.pl \
		${BASEDIR}/Analysis/FL_reconstruction_analysis/count_by_expression_quintile.pl \
		${BASEDIR}/util/misc/capture_orig_n_unmapped_reads.pl \
		${BASEDIR}/util/support_scripts/plugin_install_tests.sh \
		${BASEDIR}/util/support_scripts/trinity_install_tests.sh
	chmod -R a-x ${BASEDIR}/PerlLib/*.pm
	chmod -R a-x ${BASEDIR}/PerlLib/*/*.pm
	chmod a-x ${BASEDIR}/util/support_scripts/tests/test.py

override_dh_install-indep:
	dh_install -i
	chmod u+x \
		${EXBASEDIR}/sample_data/__regression_tests/test_GraphFromFasta/runMe.sh \
		${EXBASEDIR}/sample_data/test_Inchworm/runMe_MPI.sh \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.clean.sh \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.sh

get-orig-source:
	uscan --verbose --force-download --repack --compression xz
