## trinityrnaseq 2.1.1+dfsg2

=== sample_data/test_InSilicoReadNormalization/Makefile ===

test:
	./test_PE_normalization.sh
	./test_SE_normalization.sh

clean:
	./cleanme.pl
