=== debian/changelog ===
trinityrnaseq (2.1.1+dfsg2-1) unstable; urgency=low

  * Properly harden Chrysalis binaries
  * Drop Galaxy plugin
  * Increment dfsg version for the above

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 25 Feb 2016 00:03:48 -0800
