=== debian/control ===
Source: trinityrnaseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf,
               automake1.11,
               jellyfish (>= 2.1.4),
               libjung-free-java,
               javahelper,
               libgetopt-java,
               default-jdk,
               parafly,
               libjs-jquery,
               jaligner,
               libhts-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/trinityrnaseq.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/trinityrnaseq.git
Homepage: http://trinityrnaseq.github.io/

Package: trinityrnaseq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         ${java:Depends},
         bowtie,
         bowtie2,
         python,
         libwww-perl,
         default-jre-headless,
         samtools,
         jellyfish,
         r-base-core,
         r-cran-cluster,
         r-bioc-edger,
         r-bioc-qvalue,
         rsem,
         berkeley-express,
         trimmomatic,
         transdecoder,
         parafly,
         curl
Recommends: ${java:Recommends},
            trinityrnaseq-examples
Suggests: collectl
Description: RNA-Seq De novo Assembly
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.

Package: trinityrnaseq-examples
Architecture: all
Depends: ${perl:Depends},
         ${java:Depends},
         ${misc:Depends},
         r-base-core
Recommends: trinityrnaseq
Description: RNA-Seq De novo Assembly common example and testing files
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.
 .
 This package contains testing & example files.
