=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,18 @@
 LAST_CHANGE := $(shell dpkg-parsechangelog -S Date)
 export BUILD_DATETIME := $(shell LC_ALL=C date -u -d '$(LAST_CHANGE)')
 
+DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/buildflags.mk
+
 %:
 	dh $@ --parallel --with javahelper,autoreconf
 
 override_dh_auto_configure:
 	for target in ${SOURCE_DIRECTORIES}; do dh_auto_configure \
 		--sourcedirectory=$${target} -- \
-		--prefix=/usr/lib/trinityrnaseq/$${target}; done
+		--prefix=/usr/lib/trinityrnaseq/$${target} \
+		$(shell dpkg-buildflags --export=configure); done
 
 override_dh_auto_build:
 	for target in ${SOURCE_DIRECTORIES}; do dh_auto_build \
