=== Chrysalis/Makefile ===
--- 
+++ 
@@ -52,6 +52,7 @@
 ##############################################################################
 
 DATE = $(shell date)
+BUILD_DATETIME ?= $(DATE)  # allow for overrides to enable reproducible builds
 OS_NAME = $(shell uname -s)
 NODE_NAME = $(shell uname -n)
 OS_RELEASE = $(shell uname -r)
@@ -277,7 +278,7 @@
 
 # Base definitions:
 SYS_DEFS	= \
-		  -DMAKE_DATE='"$(DATE)"' \
+		  -DMAKE_DATE='"$(BUILD_DATETIME)"' \
 		  -DMAKE_OS_RELEASE='"$(OS_RELEASE)"' \
 		  -DMAKE_RELEASE='"$(RELEASE)"' \
 		  -DNEW_MAKEFILE
@@ -308,7 +309,7 @@
 endif
 
 # Linking control (e.g. to link templates):
-SYS_LINK	=
+SYS_LINK	=  $(LDFLAGS)
 
 # Required libraries:
 SYS_LIBS	= -lm -pthread
@@ -380,7 +381,8 @@
 		$(SYS_LANG) \
 		$(SYS_INCS) \
 		$(OMP_OPTIONS) \
-		$(PTHREAD_OPTIONS)
+		$(PTHREAD_OPTIONS) \
+		$(CPPFLAGS)
 
 LINK_OPTIONS	= \
 		$(SYS_DEBUG) \
@@ -402,13 +404,3 @@
 
 # Standard targets:
 
-include Makefile_targets
-
-# Makefile_auto: depend
-
-ALL_ARG =
-ifeq ($(ALL),yes)
-     ALL_ARG = -A
-endif
-
-FULL_RECURSION_ARG =
