=== sample_data/test_DE_analysis/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 
-test: test_edgeR test_DESeq2 test_voom test_ROTS
+test: test_edgeR test_DESeq2 test_voom test_ROTS test_PtR_PCA
 
 test_edgeR:
 	../../Analysis/DifferentialExpression/run_DE_analysis.pl  -m Trinity_trans.counts.matrix --method edgeR -s samples.txt -o edgeR_outdir
@@ -18,6 +18,10 @@
 	../../Analysis/DifferentialExpression/run_DE_analysis.pl  -m Trinity_trans.counts.matrix --method ROTS -s samples.txt -o ROTS_outdir --ROTS_B 50 # make it go faster, use more in practice
 	cd ROTS_outdir && ../../../Analysis/DifferentialExpression/analyze_diff_expr.pl  --matrix ../Trinity_trans.TMM.EXPR.matrix --samples ../samples.txt 
 
+
+test_PtR_PCA:
+	../../Analysis/DifferentialExpression/PtR -m Trinity_trans.TMM.EXPR.matrix -s samples.txt --prin_comp 3 --add_prin_comp_heatmaps 30
+
 clean:
 	rm -rf ./edgeR_outdir
 	rm -rf ./DESeq2_outdir
