=== sample_data/test_GenomeGuidedTrinity/Makefile ===

test:
	./run_genome-guided_Trinity_use_existing_bam.sh
	./run_Schizo_TrinityGG_jaccard_clip.sh

clean:
	./cleanme.pl
