=== sample_data/test_InSilicoReadNormalization/Makefile ===

test:
	./test_PE_normalization.sh
	./test_SE_normalization.sh
	./test_PE_normalization.mult_read_sets.sh

clean:
	./cleanme.pl
