=== sample_data/test_align_and_estimate_abundance/Makefile ===

DIRS = PAIRED_END_ABUNDANCE_ESTIMATION SINGLE_END_ABUNDANCE_ESTIMATION

test:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) test) || exit $$?; done


clean:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) clean) || exit $$?; done
