=== debian/changelog ===
trinityrnaseq (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix build on GCC 6 (Closes: #831110)

 -- Sascha Steinbiss <satta@debian.org>  Fri, 05 Aug 2016 19:21:49 +0000

trinityrnaseq (2.2.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload
  * d/watch: Use xz compression for upstream source

  [ Michael R. Crusoe ]
  * new upstream version
  * prune d/copyright excludes
  * refresh patches, drop a few included upstream
  * Standards-Version: '3.9.7' -> '3.9.8'

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 23 May 2016 11:46:45 -0700
