=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libjs-jquery,
                jaligner,
                libhts-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/trinityrnaseq.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/trinityrnaseq.git
 Homepage: http://trinityrnaseq.github.io/
