=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export BUILD_DATETIME := $(shell LC_ALL=C date -u -d '$(LAST_CHANGE)')
 
 DPKG_EXPORT_BUILDFLAGS = 1
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 include /usr/share/dpkg/buildflags.mk
 
 %:
@@ -55,7 +55,6 @@
 		${BASEDIR}/util/support_scripts/trinity_install_tests.sh
 	chmod -R a-x ${BASEDIR}/PerlLib/*.pm
 	chmod -R a-x ${BASEDIR}/PerlLib/*/*.pm
-	chmod a-x ${BASEDIR}/util/support_scripts/tests/test.py
 
 override_dh_install-indep:
 	dh_install -i
@@ -65,5 +64,3 @@
 		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.clean.sh \
 		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.sh
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz
