## trinityrnaseq 2.5.1%2Bdfsg

=== trinity-plugins/scaffold_iworm_contigs/Makefile ===
CXX    = g++
prefix = ../htslib

ScaffoldIwormContigs:
	$(CXX) $(LDFLAGS) -I$(prefix) -L$(prefix) ScaffoldIwormContigs.cpp error_checker.cpp -lhts -o scaffold_iworm_contigs

clean:
	rm -f scaffold_iworm_contigs
